#include<fstream>
using namespace std;
int prime(int a)
{
	int i;
	if((a==0)||(a==1)) return 0;
	for(i=2;i*i<=a;i++)
	{
		if(a%i==0) return 0;
	}
	return 1;
}
int tong(int l,int r)
{
	int u=0;
	int i;
	for(i=l;i<=r;i++)
	{
		if(prime(i)==1) u+=i;
	}
	return u;
}
int main()
{
	 ifstream f1("SUMP.INP");
	 ofstream f2("SUMP.OUT");
	 int n;
	 f1>>n;
	 int i;
	 int a[n];
	 int b[n];
	 for(i=0;i<n;i++)
	 {
	 	f1>>a[i]>>b[i];
	 }
	 f1.close();
	 for(i=0;i<n;i++)
	 {
	 	f2<<tong(a[i],b[i])<<endl;
	 }
	 f2.close();
	 return 0;
	 
}
